<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_session.php';?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_version.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->

<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="ltr">
<head>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_head.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
</head>
<body class="vertical-layout vertical-menu 2-columns menu-expanded fixed-navbar" data-open="click" data-menu="vertical-menu" data-col="2-columns">
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_header-navbar.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php  $main_menu='license';include '../include/include_main-menu.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->

  <div class="app-content content">
    
      <!-- Zero configuration table -->
      <section id="configuration">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h4 class="card-title">License</h4>
                <a class="heading-elements-toggle"><i class="fa fa-ellipsis-v font-medium-3"></i></a>
                <div class="heading-elements">
                  <ul class="list-inline mb-0">
                    <!--<li><a data-action="collapse"><i class="ft-minus"></i></a></li>!-->
                    <!--<li><a href="sip_add.php" class="btn btn-sm btn-outline-secondary"><i class="ft-edit-2"></i>Add</a></li>!-->
                    <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                    <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                    <!--<li><a data-action="close"><i class="ft-x"></i></a></li>!-->
                  </ul>
                </div>
              </div>
              <div class="card-content collapse show">
                <div class="card-body card-dashboard" >
                  <p><img src="../images/logo/logo.png" height="45px" width="45px"> <font style="font-size: xx-large;color: #ff9900;" ><b><font color="#A4A4A4"> INFO</font>QUEUELOG</b></font></p>

                    <p>Con el fin de gestionar adecuadamente las colas de ACD (Automatic Call Distribution), es importante hacer un seguimiento detallado de los eventos que se ejecutan en las mismas. Para ello, Asterisk implementa el queue_log, que es un archivo donde se registran dichas acciones en formato de texto plano y por defecto se encuentra en /var/log/asterisk/queue_log.<br>
                    Por lo general las herramientas de estadísticas de call center, como Asternic y QueueMetrics, entre otras, basan su funcionamiento en la información que es entregada en este archivo. Por lo tanto, en este artículo nos dedicaremos a analizar en profundidad los datos que podremos encontrar en este log.</p>

                    <p>Al editar el archivo, encontraremos que los registros se encuentran con el siguiente formato:</p>

                    <H3>TIMESTAMP | UNIQUEID | QUEUE_NAME | AGENT | EVENT | DATA1 | DATA2 | DATA3 | DATA4 | DATA5</H3><br>
                    <b>TIMESTAMP</b> <p>Es la fecha y hora en formato unix time.</p>
                    <b>UNIQUEID</b> <p> El id único que identifica el canal.</p>
                    <b>QUEUE_NAME</b> <p>El nombre de la cola o NONE si se trata de un evento general como AGENTLOGOFF </p>
                    <b>AGENT</b> <p>Si el llamado fue asignado a un agente: Tecnología/Interno o NONE si es un evento general como ABANDON </p>
                    <b>DATA</b> n <p>Son los valores que retorna cada evento, luego de su ejecución. Por ejemplo la duración de un llamado cuando es finalizado. </p>

                    <p>Ahora que conocemos la estructura general del archivo queue_log, pasaremos a ver en detalle los eventos y los valores que devuelve cada uno.</p>

                    <b>ABANDON</b>: <br>
                        <p> Este evento se produce, cuando una persona abandona su posición en la Cola, antes de ser atendido. Los data que devuelve son: </p>
                    </p>
                    <ul>
                      <li>Data 1: position, la posición que tenía en la cola cuando realizó el hangup</li>
                      <li>Data 2: origposition, la posición en la que entró en la cola</li>
                      <li>Data 3: waittime, el tiempo que espero en la cola</li>
                    </ul>

                     <b>AGENTDUMP</b>:
                          <p>El agente rechazó el llamado, mientras el cliente escuchaba el anuncio de la cola.</p>

                    <b>AGENTLOGIN</b>:
                         <p>El agente es logueado.</p>
                    <ul>
                      <li>Data 1: channel, el canal donde se genero el logueo.</li>
                    </ul>

                    <b>AGENTCALLBACKLOGIN</b><br>
                         <p>El agente del tipo "callback" es logueado en la cola. Un agente del tipo "callback", a diferencia de un "agent/" es aquel que espera los llamados con el teléfono colgado, y en el momento que un llamado entra a la cola el teléfono suena y es logueado a la cola.</p>

                    <ul>
                      <li> Data 1 exten@context, el interno@contexto del agente.</li>
                    </ul>

                    <b>AGENTLOGOFF</b>
                      <p>El agente se desloguea.</p> 
                    <ul>
                      <li> Data 1 channel, el canal donde se origino el deslogueo</li>
                      <li> Data 2 logintime, la cantidad de tiempo que el agente estuvo logueado. (en segundos)</li>
                    </ul>

                    <b>AGENTCALLBACKLOGOFF</b>
                         <p>El agente del tipo "callback" es deslogueado de la cola.</p>
                    <ul>
                      <li> Data 1 exten@context, el interno@contexto utilizado por el agente.</li>
                      <li> Data 2 logintime, el tiempo que estuvo logueado</li>
                      <li> Data 3 reason, la razón por la cual fue deslogueado, si no es un logoff normal. Ej Autologoff, Chanunavail</li>
                    </ul>

                    <b>COMPLETEAGENT</b>
                         <p>El llamado fue conectado con un agente, y este fue finalizado normalmente por el agente.</p>
                    <ul>
                      <li> Data 1 holdtime, Tiempo que espero el cliente a ser atendido</li>
                      <li> Data 2 holdtime, Duración de la llamada</li>
                      <li> Data 3 origposition, Posición donde ingresó en que ingresó el llamado a la cola.</li>
                    </ul>

                    <b>COMPLETECALLER</b>
                         <p>El llamado fue conectado con un agente, y este fue finalizado normalmente por el cliente.</p>

                    <ul>
                      <li> Data 1 holdtime, Tiempo que espero el cliente a ser atendido</li>
                      <li> Data 2 holdtime, Duración de la llamada</li>
                      <li> Data 3 origposition, Posición donde ingresó en que ingresó el llamado a la cola.</li>
                    </ul>

                    <b>CONFIGRELOAD</b>
                         <p>La configuración ha sido re-cargada. (ej asterisk -rx "reload")</p>

                    <b>CONNECT</b>
                         <p>El llamado fue conectado con un agente.</p>
                    <ul>
                      <li> Data 1 holdtime, la cantidad de tiempo que el cliente estuvo en hold</li>
                      <li> Data 2 bridgedchanneluniqueid, es el uniqueid del canal del agente que toma el llamado</li>
                    </ul>

                    <b>ENTERQUEUE</b>
                         <p>Un llamado ha ingresado a la cola.</p>
                    <ul>
                      <li> Data 1 URL, si es especificada</li>
                      <li> Data 2 CallerID, Número de teléfono del cliente</li>
                    </ul>

                    <b>EXITEMPTY</b>
                         <p>La llamada es rechazada por la cola, debido a que no existen agentes logueados para atender la misma.</p>
                    <ul>
                      <li> Data 1 position, posición de la llamada en el momento que fue rechazada</li>
                      <li> Data 2 origposition, posición de la llamada cuando ingresó a la cola</li>
                      <li> Data 3 waittime, tiempo de espera</li>
                    </ul>

                    <b>EXITWITHKEY</b>
                         <p>El cliente utilizó una opción del menú, para salir de la cola.</p>
                    <ul>
                      <li> Data 1 key, tecla que presionó</li>
                      <li> Data 2 position, posición en la que se encontraba en la cola</li>
                    </ul>

                    <b>EXITWITHTIMEOUT</b>
                         <p>El cliente estuvo demasiado tiempo en hold, y el tiempo expiró</p>
                    <ul>
                      <li> Data 1 position, posición del cliente en la cola</li>
                    </ul>

                    <b>QUEUESTART</b>
                         <p>El sistema de colas ha sido iniciado.</p>

                    <b>RINGNOANSWER</b>
                         <p>El llamado es conectado a un agente, pero este no lo atiende.</p>
                    <ul>
                      <li> Data 1 ringtime, tiempo que estuvo sonando el teléfono del agente.</li>
                    </ul>

                    <b>SYSCOMPAT</b>
                         <p>La llamada es atendida por el agente, pero el sistema la rechaza porque los canales no son compatibles.</p>

                    <b>TRANSFER</b>
                         <p>La llamada es transferida a otro interno.</p>
                    <ul>
                      <li> Data 1 extension, interno de destino</li>
                      <li> Data 2 context, contexto utilizado</li>
                      <li> Data 3 holdtime, tiempo en espera del agente hasta que se realizó la transferencia</li>
                      <li> Data 4 calltime, duración de la llamada hasta que fue transferida.</li>
                    </ul>

                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!--/ Zero configuration table -->
        
  </div>

  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_footer.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_script.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
</body>
</html>