<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_session.php';?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_version.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="ltr">
<head>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<link rel="stylesheet" type="text/css" href="../../../app-assets/css/core/colors/palette-callout.css">
<?php include '../include/include_head.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
</head>
<body class="vertical-layout vertical-menu 2-columns menu-expanded fixed-navbar" data-open="click" data-menu="vertical-menu" data-col="2-columns">
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_header-navbar.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php $main_menu='users'; include '../include/include_main-menu.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->

  <div class="app-content content">

    <?php include 'wiki_index_menu.php'; ?>

    <div class="content-left">
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-8 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">PBXSymphony</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="wiki_index.php">Queues</a></li>
                </ol>
              </div>
            </div>
          </div>
        </div>
        <div class="content-body">
          <section id="description">
            <!-- Description -->
            <div class="card">
              <div class="card-header">
                <h1 class="text-bold-600">Queues</h1>
              </div>
              <div class="card-content">
                <div class="card-body">
                  <div class="card-text">
                    <h4 class="text-bold-600">PBXSymphony</h4>
                    <p>En Queues podemos crear, editar o eliminar las configuraciones de queue para Call Center.</p>
                    <hr>
                    <img src="wiki/wiki_callcenter_queues_01.jpeg" class="img-thumbnail img-fluid" >                    
                    <hr>
                    <h4 class="text-bold-600">¿Qué es QUEUES?</h4>
                    <p align="justify">Las Queues o Colas de llamadas permiten manejar de forma eficiente las llamadas entrantes.</p>
                    <p align="justify">Cuando se envía una llamada a una cola a través del dialplan, esta llamada se queda en espera hasta el momento en que pueda ser atendida por un operador.</p>
                    <p align="justify">Mientras esta persona está en espera, estara oyendo música en espera y se pueden reproducir determinados mensajes periodicamente ("Todos nuetros agentes están ocupados, su llamada será atendida en breves momentos...") para evitar que desista si la espera dura más de la cuenta. </p>
                    <p align="justify">Las llamadas que entran en una cola serán distribuidas por orden de llegada entre los mienbros de esta cola. Para decidir a que usuario se envia cada llamada, el sistema usará una de las distintas estrategias de distribución de que dispone:</p>

                    <ol>
                      <li><b>ringall</b>: Esta es la estrategia por defecto y envía la llamada a todos los miembros de la cola (aquellos que estén disponible).</li>
                      <li><b>roundrobin</b>: Esta opcion esta obsoleta en Asterisk 1.4 y va enviando la llamada por orden a los miembros de la cola, Siempre en el mismo orden y empezando por el primero.</li>
                      <li><b>rrmemory</b>: Esta opcion distribuye las llamadas “por turnos” entre los miembros disponibles y “recuerda” el último agente al que intentó llamar.</li>
                      <li><b>lastrecent</b>: Envía la llamada al usuario que lleva más tiempo sin recivir llamadas.</li>
                      <li><b>fewestcalls</b>: Envía la llamada al usuario que ha atendido menos llamadas de esta cola.</li>
                      <li><b>linear</b>: Contacto los agentes siguiendo el orden definido en este archivo de configuración.</li>
                      <li><b>random</b>: Selecciona el destino de forma aleaoria.</li>
                    </ol>
                    <hr>
                    <h4 class="text-bold-600">¿Como configurar una QUEUE en PBXSymphony?</h4>
                    <p>Para realizar la configuracion de una Queue en PBXSymphony debemos ver como se configura en Asterisk y posteriormente como pasar estos parametros en PBXSymphony.</p>
                    <p>Para esto debemos ingresar al archivo de configuración queues.conf de Asterisk. </p>
                    <hr>
                    <pre class=" language-markup"><code class="language-markup">

[queue]
musiconhold=default
strategy=ringall
retry = 3
ringinuse = no
maxlen = 0
wrapuptime=5
announce-holdtime = no
monitor_format = gsm
ringinuse = no
announce-holdtime = no
                    </code></pre>
                    <hr>
                    <h4 class="text-bold-600">¿Como configurar una QUEUE en PBXSymphony?</h4>
                    <p>Para crear una queue nueva o copiar una regla de dialplan debemos hacer clic en el botón&nbsp;<a class="btn btn-sm btn-outline-secondary"><i class="ft-edit-2"></i>Add</a> o clic en el botón&nbsp;<a class="btn btn-sm btn-outline-secondary" data-toggle="tooltip" data-placement="top" title="" data-original-title="Clone"><i class="ft-copy"></i></a>&nbsp;en la queue que queremos copiar.</p>
                    <hr>
                    <img src="wiki/wiki_callcenter_queues_02.jpeg" class="img-thumbnail img-fluid" >
                    <hr>




                  </div>
                  <div class="bs-callout-danger callout-border-left callout-transparent mt-1 p-1">
                    <h4 class="danger">Queues en PBXSymphony</h4>
                    <p>Una de las características de PBXSymphony es que permite crear queues de forma simple las queues en PBXSymphony.</p>
                  </div>
                </div>
              </div>
            </div>
            <!--/ Description -->
          </section>
        </div>
      </div>
    </div>
  </div>




  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_footer.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_script.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
</body>
</html>