<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_session.php';?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_version.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="ltr">
<head>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_head.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
</head>
<body class="vertical-layout vertical-menu 2-columns menu-expanded fixed-navbar" data-open="click" data-menu="vertical-menu" data-col="2-columns">
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_header-navbar.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php $main_menu='users'; include '../include/include_main-menu.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->

  <div class="app-content content">

    <?php include 'wiki_index_menu.php'; ?>

    <div class="content-left">
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-8 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">PBXSymphony</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="wiki_index.php">Dashboard</a></li>
                </ol>
              </div>
            </div>
          </div>
        </div>
        <div class="content-body">
          <section id="description">
            <!-- Description -->
            <div class="card">
              <div class="card-header">
                <h1 class="text-bold-600">Dashboard</h1>
              </div>
              <div class="card-content">
                <div class="card-body">
                  <div class="card-text">
                    <h4 class="text-bold-600">Panel de monitoreo</h4>
                    <p>Panel de monitoreo del sistema el cual nos permite ver el uso de CPU, RAM, Cuentas SIP, Canales, Errores, Uptime Asterisk y Sistema.</p>
                    <hr>
                    <img src="wiki/wiki_dashboard_01.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <h4 class="text-bold-600">Monitoreo de CPU Load Average</h4>
                    <p>Estos números representan el número medio de procesos del sistema que durante los últimos 1, 5 y 15 minutos han estado esperando por algún recurso del sistema (CPU, acceso a disco, red, etc.).</p>
                    <img src="wiki/wiki_dashboard_02.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <h4 class="text-bold-600">Monitoreo de Memoria RAM</h4>
                    <p>La memoria RAM juega un papel muy importante en el funcionamiento de un servidor. Es donde se guardan datos importantes que van a volver a ser utilizados en breves. El acceso a la memoria RAM es mucho más rápido que acceder al disco duro.</p>
                    <p>
                    <lo>
                      <li>Shared: Indica el monto de la memoria que está compartida entre múltiples procesos</li>
                      <li>Buffers: Muestra el monto de la memoria que está siendo utilizada por el kernel para buffer cache</li>
                      <li>Cache: Indica cuántas páginas de memoria el kernel tiene cacheada para accesos más rápidos</li>
                      <li>Available: Estimación de memoria disponible para iniciar nuevas aplicaciones</li>
                      <li>Free: Indica la momeria no libre.</li>
                    </lo>
                    </p>
                    <img src="wiki/wiki_dashboard_03.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <h4 class="text-bold-600">Monitoreo de Registros SIP</h4>
                    <p>Nos permite ver el total de cuentas SIP registradas.</p>
                    <p>
                    <lo>
                      <li>Ok: Indica el total de las extensiones SIP registradas correctamente.</li>
                      <li>Unmonitored: Muestra el total de extensiones SIP no monitoreadas.</li>
                      <li>Unreachable: Muestra el total de Extensiones SIP inalcanzable.</li>
                      <li>Unknown: Muestra el total de extension SIP con estado desconocido.</li>
                    </lo>
                    </p>
                    <img src="wiki/wiki_dashboard_04.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <h4 class="text-bold-600">Monitoreo de Llamadas</h4>
                    <p>Nos permite ver el total de llamadas en tiempo real.</p>
                    <p>
                    <lo>
                      <li>Calls: Indica el total de llamadas en tiempo real.</li>
                      <li>Channels: Indica el total de canales sip en tiempo real, aqui se cuentan las llamadas, registros, etc.</li>
                    </lo>
                    </p>
                    <img src="wiki/wiki_dashboard_05.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <h4 class="text-bold-600">Monitoreo Uptime y Errores</h4>
                    <p>Este monitoreo nos permite tener una vision de la cantidad de tiempo que el servicio a estado disponible, errores, etc.</p>
                    <p>
                    <lo>
                      <li>Uptime System: Indica el tiempo en linea que a estado el servidor.</li>
                      <li>Uptime Asterisk: Indica el tiempo en linea que a estado el servicio Asterisk.</li>
                      <li>Total SIPs: Muestra el total de Extensiones SIP configuradas.</li>
                      <li>Total Calls: Muestra el total de llamadas procesadas por Asterisk.</li>
                      <li>Errors: Muestra el total de errores del log de Asterisk del dia actual.</li>
                      <li>Rejected: Cuenta los intentos de llamadas Rejected en el log de Asterisk del dia actual.</li>
                      <li>Forbidden: Muestra el total de Rejected del log de Asterisk del dia actual.</li>
                      <li>Wrong Password: Cuenta los intentos de registros SIP con password erroneo en el log de Asterisk del dia actual.</li>

                    </lo>
                    </p>
                    <img src="wiki/wiki_dashboard_06.jpeg" class="img-thumbnail img-fluid" >
                    <hr>

                  </div>
                </div>
              </div>
            </div>
            <!--/ Description -->
          </section>
        </div>
      </div>
    </div>
  </div>




  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_footer.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_script.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
</body>
</html>