<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_session.php';?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_version.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="ltr">
<head>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_head.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
</head>
<body class="vertical-layout vertical-menu 2-columns menu-expanded fixed-navbar" data-open="click" data-menu="vertical-menu" data-col="2-columns">
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_header-navbar.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php $main_menu='users'; include '../include/include_main-menu.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->

  <div class="app-content content">

    <?php include 'wiki_index_menu.php'; ?>

    <div class="content-left">
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-8 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">PBXSymphony</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="wiki_index.php">Dialplan</a></li>
                </ol>
              </div>
            </div>
          </div>
        </div>
        <div class="content-body">
          <section id="description">
            <!-- Description -->
            <div class="card">
              <div class="card-header">
                <h1 class="text-bold-600">Dialplan</h1>
              </div>
              <div class="card-content">
                <div class="card-body">
                  <div class="card-text">
                    <h4 class="text-bold-600">PBXSymphony</h4>
                    <p>En Dialplan podemos crear modificar o eliminar las formas de discado de asterisk.</p>
                    <hr>
                    <h4 class="text-bold-600">DialPlan</h4>
                    <p>En esta opción tenemos listados de formas de discado creadas con contexto, extension, prioridad, aplicación.</p>
                    <img src="wiki/wiki_pbx_dialplan_01.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <h4 class="text-bold-600">Como configurar el Dialplan en PBXSymphony?</h4>
                    <p>Para realizar la configuracion del dialplan en PBXSymphony debemos ver como se configura en Asterisk y posteriormente como pasar estos parametros en PBXSymphony.</p>
                    <h4 class="text-bold-600">Configuración del archivo extensions.conf (DialPlan)</h4>
                    <p>El archivo extensions.conf es el más importante del Asterisk y tiene como misión principal definir el dialplan o plan de numeración que seguirá la centralita para cada contexto y por tanto para cada usuario.</p>
                     <hr>
                    <h4 class="text-bold-600">extensions.conf (DialPlan)</h4>
                    <p>El fichero extensions.conf se compone de secciones o contextos entre corchetes <b>[]</b> Hay dos contextos especiales que están siempre presentes que son <b>[general]</b> y <b>[globals]</b></p>
                    <p>Contexto <b>[general]</b>:  El contexto [general] configura unas pocas opciones generales como son:</p>
                    <ol>
                      <li><b>static</b> : Indica si se ha de hacer caso a un comando "save dialplan" desde la consola. Por defecto es "yes". Funciona en conjunto con "writeprotect"</li>
                      <li><b>writeprotect</b> : Si writeprotect=no y static=yes se permite ejecutar un comando "save dialplan" desde la consola. El valor por defecto es " no" .</li>
                      <li><b>autofallthrough</b> : Si está activado y una extensión se queda sin cosas que hacer termina la llamada con BUSY, CONGESTION o HANGUP Si no está activada se queda esperando otra extensión. Nunca debería suceder que una extensión se quede sin cosas que hacer como explicaremos posteriormente.</li>
                      <li><b>clearglobalvars</b> : Si está activado se liberan las variables globales cuando se recargan las extensiones o se reinicia Asterisk.</li>
                      <li><b>priorityjumping</b> : Si tiene valor 'yes', la aplicación soporta 'jumping' o salto a diferentes prioridades. En desuso</li>
                    </ol>
                    <hr>
                    <p>En general estas opciones no son muy importantes y se pueden dejar tal y como aparecen por defecto.</p>
                    <hr>
                    <h4 class="text-bold-600">Contexto [globals]</h4>
                    <p>En este contexto se definen las variables globales que se van a poder utilizar en el resto de los contextos. Por ejemplo</p>
                    <p>CONSOLE=Console/dsp ;indica que cuando hagamos referencia a la variable CONSOLE estamos llamando a /Console/dsp</p>
                    <p>Las variables suelen ponerse siempre en mayusculas para diferenciarlas posteriormente.</p>
                    <p>Resto de Contextos []</p>
                    <p>Esto es lo más importente de este fichero. Vamos a indicar ahora como crear un contexto especifico y asignar un plan de numeración. Todas las lineas de un determinado contexto tienen el mismo formato:</p>
                    <pre class=" language-markup"><code class=" language-markup">
exten =>  extension , prioridad, Comando(parametros)
                    </code></pre>
                    <ol>
                      <li><b>extensión</b>: hace referencia al numero marcado.</li>
                      <li><b>prioridad</b>: el orden en que se ejecutan las instrucciones. Primero se ejecuta la de prioridad 1, luego la 2 y sucesivamente.</li>
                      <li><b>Comando</b>: hace referencia a la acción a ejecutar.</li>
                    </ol>
                    <p>Vamos a ir viendo unos ejemplos para ir aprendiendo los comandos.</p>
                    <hr>
                    <h4 class="text-bold-600">Ejemplo 1: Colgar la linea</h4>
                    <pre class=" language-markup"><code class=" language-markup">
exten => 333,1,Hangup ; indica que cuando alguien llame al 333 saltará la prioridad 1 y el sistema colgará la llamada.
                    </code></pre>
                    <hr>
                    <h4 class="text-bold-600">Ejemplo 2 : Llamar a el usuario SIP 3000 y que salte el contestador si no contesta</h4>
                    <pre class=" language-markup"><code class=" language-markup">
exten => 3000,1,Dial(SIP/3000,30,Ttm) ; intenta llamar al usuario 3000 de sip que tiene que estar definido en sip.conf con ese contexto.
exten => 3000,2,Hangup ; cuando acaba la llamada cuelga.
exten => 3000,102,Voicemail(3000) ; La prioridad 102 significa que el usuario no estaba conectado y salta el contestador al buzon 3000.
exten => 3000,103,Hangup ; se cuelga después de dejar el mensaje.
                    </code></pre>
                    <p>En este caso al llamar a la extension 3000 usuamos el comando Dial (destino, tiempo de timeout, opciones)</p>
                    <p>El destino es el usuario 3000 del archivo sip.conf, 30 segundos de timeout. El usuario 3000 deberia existir en sip.conf las opciones hacen referencia a opciones del comando dial:</p>
                    <ol>
                      <li>la "T" permite al usuario llamante transferir la llamada pulsando #</li>
                      <li>la "t" permite al usuario llamado transferir la llamada pulsando #</li>
                    </ol>
                    <p>Si el usuario 3000 no está conectado salta a la prioridad +101 (en nuestro caso a la 102=1+101 ya que estabamos en la prioridad 1) y hacemos que salte el contestador para dejar un mensaje.</p>
                    <p>Es importante que por cada rama siempre se cierre el camino y se cuelgue la llamada con un Hangup.</p>
                    <hr>
                    <h4 class="text-bold-600">Ejemplo 3 : Comprobación de latencia y eco</h4>
                    <pre class="language-markup"><code class=" language-markup">
exten => 600,1,Playback(demo-echotest) ; Se pone el sonido de que es una demo de eco
exten => 600,2,Echo ; Se ejecuta el test de eco
exten => 600,3,Playback(demo-echodone) ; Se repite lo que dijimos
exten => 600,4,Hangup ; Se cuelga
                    </code></pre>

                    <p>En este caso llamando al 600 nos va a repetir lo mismo que nosotros dijimos. Podremos comprobar la latencia del sistema.</p>
                    <hr>
                    <h4 class="text-bold-600">Ejemplo 4 : Extensión start</h4>
                    <pre class="language-markup"><code class="language-markup">
exten => s,1,Wait,1 ; Esperamos un segundo
exten => s,2,Answer ; respondemos. EL Asterisk coge la llamada
exten => s,3,DigitTimeout,5 ; Ponemos Digit Timeout a 5 segundos
exten => s,4,ResponseTimeout,10 ; Ponemos Response Timeout a 10 segundos
exten => s,5,BackGround(demo-congrats) ; Ejecutamos un archivo de voz
exten => s,6,hangup ; Colgamos
exten => 1000,1,Goto(micontexto,s,1) ; Al llamar al 1000 vamos a la extensión s con prioridad 1 del contexto "micontexto"
                    </code></pre>

                    <p>En este caso presentamos la extensión start s que es la que coge las llamadas cuando se esta en ese contexto pero no se sabe la extensión. También se puede entrar desde otra extensión como en este caso marcando la extensión 1000. Con Goto podemos ir al contexto, extensión y prioridad que queramos.</p>

                    <h4 class="text-bold-600">Ejemplo 5 : LLamar a un proveedor de Voz IP</h4>
                    <pre class="language-markup"><code class="language-markup">
exten => _340.,1,Dial(SIP/${EXTEN:3}@Proveedorsip,90,Tt)
exten => _340.,2,hangup ; Colgamos

exten => _20.,1,Dial(SIP/${EXTEN:2}@Proveedorsip,90,Tt)
exten => _20.,2,hangup ; Colgamos
                    </code></pre>
                    <p>En este caso lo que hacemos es que siempre que marquemos el 340 seguido de cualquier numero (el 340 como perfijo) llamaremos a una extension SIP. Por ejemplo en el primer caso si marcamos al 340600600 llamaremos al 600600 a la dirección IP del "proveedorsip" definido en sip.conf. (EXTEN:3 significa que quitamos los tres primeros numeros).</p>
                    <p>En el segundo caso si marcamos 2060600 también estaremos llamando al mismo numero 600600 del "proveedorsip" (EXTEN:2)</p>
                    <p>En los casos anteriores el . sustituye a cualquier caracter pero podíamos haber utilizado también:</p>
                    <ol>
                      <li>X - Acepta un numero de 0 al 9</li>
                      <li>Z - Acepta un numero de 1 al 9</li>
                      <li>N - Acepta un numero de 2 al 9</li>
                      <li>[1,5-7] - Acepta el 1, el 5, el 6 o el 7</li>
                    </ol>
                    <pre class="language-markup"><code class=" language-markup">
exten => _20XX,1,Dial(SIP/${EXTEN:2}@Proveedorsip,90,Tt) ; Deberiamos marcar 20 y dos numeros (no valen caracteres)
exten => _20ZZ.,1,Dial(SIP/${EXTEN:2}@Proveedorsip,90,Tt) ; Deberiamos marcar 20, dos numeros del 1 al 9 y cualquier cosa
exten => _20[1-3]..,1,Dial(SIP/${EXTEN:2}@Proveedorsip,90,Tt) ; Deberiamos marcar 20, un numero del 1 al 3 y cualquier cosa
                    </code></pre>
                    <hr>
                    <h4 class="text-bold-600">¿Como configurar el mismo dialplan en PBXSymphony?</h4>
                    <p>Para crear una regla de dialplan nueva o copiar una regla de dialplan debemos hacer clic en el botón&nbsp;<a class="btn btn-sm btn-outline-secondary"><i class="ft-edit-2"></i>Add</a> o clic en el botón&nbsp;<a class="btn btn-sm btn-outline-secondary" data-toggle="tooltip" data-placement="top" title="" data-original-title="Clone"><i class="ft-copy"></i></a>&nbsp;en la regla de dialplan que queremos copiar.</p>
                    <p>
                    <pre class="language-markup"><code class=" language-markup">
[from-sip]
exten => 3000,1,Dial(SIP/3000,30,Ttm)
                    </code></pre>
                    <p>El formulario de creación permite utilizar la información de la regla de Dialplan utilizando los mismo parámetros en se mencionan anteriormente en Asterisk.</p>
                    <hr>
                    <img src="wiki/wiki_pbx_dialplan_02.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <div class="bs-callout-danger callout-border-left callout-transparent mt-1 p-1">
                      <h4 class="danger">Configuración del extensions.conf en PBXSymphony</h4>
                      <p>Una de las características de PBXSymphony es que utiliza los mismos parámetros de Asterisk para la configuración de Dialplan.</p>
                    </div>


                  </div>
                </div>
              </div>
            </div>
            <!--/ Description -->
          </section>
        </div>
      </div>
    </div>
  </div>




  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_footer.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_script.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
</body>
</html>