<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_session.php';?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_version.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="ltr">
<head>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<link rel="stylesheet" type="text/css" href="../../../app-assets/css/core/colors/palette-callout.css">
<?php include '../include/include_head.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
</head>
<body class="vertical-layout vertical-menu 2-columns menu-expanded fixed-navbar" data-open="click" data-menu="vertical-menu" data-col="2-columns">
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_header-navbar.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php $main_menu='users'; include '../include/include_main-menu.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->

  <div class="app-content content">

    <?php include 'wiki_index_menu.php'; ?>

    <div class="content-left">
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-8 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">PBXSymphony</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="wiki_index.php">Sip Extensions</a></li>
                </ol>
              </div>
            </div>
          </div>
        </div>
        <div class="content-body">
          <section id="description">
            <!-- Description -->
            <div class="card">
              <div class="card-header">
                <h1 class="text-bold-600">Sip Extensions</h1>
              </div>
              <div class="card-content">
                <div class="card-body">
                  <div class="card-text">
                    <h4 class="text-bold-600">PBXSymphony</h4>
                    <p>En SIP Extensions podemos crear modificar o eliminar las cuentas SIP de asterisk.</p>                    
                    <hr>
                    <h4 class="text-bold-600">¿Qué es SIP?</h4>
                    <p>Session Initiation Protocol o Protocolo de Inicio de Sesión. Es un protocolo desarrollador por el grupo MMUSIC del IETF con el fin de ser el estandar para la iniciación, modificación y finalización de sesiones interactivas de usuario donde interviene audio, video, mensajería instantanea, juegos en linea y realidad virtual. SIP es uno de los protocolos de señalización para voz sobre IP, junto con otros como H.323 e IAX2.</p>
                    <hr>
                    <h4 class="text-bold-600">SIP EXTENSIONS </h4>
                    <p>En esta opción tenemos listados de las extensions SIP creadas a quien pertenence en que contexto se encuentra, el host, y el useragent.</p>
                    <img src="wiki/wiki_pbx_sip_01.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <h4 class="text-bold-600">Como Configurar una cuenta SIP en PBXSymphony? </h4>
                    <p>Para realizar la configuracion de una cuenta SIP en PBXSymphony debemos ver como se configura en Asterisk y posteriormente como pasar estos parametros en PBXSymphony.</p>
                    <hr>
                    <h4 class="text-bold-600">sip.conf? Definiendo los clientes SIP</h4>
                    <p>El fichero de configuración del canal sip se encuentra en /etc/asterisk/sip.conf y por tanto será donde configuremos las cuentas SIP. Su formato es similar al de los ficheros .ini; por lo que se encuentra dividido en secciones conocidas en Asterisk como contextos. En el fichero sip.conf hay un contexto predefinido, se llama [general]:</p>
                    <p>En el contexto [general] definiremos parámetros que se aplicarán en todos los contextos posteriores. Algunos de los parámetros generales del canal SIP son:</p>
                    <ol>
                      <li><b>port</b>: es el puerto que utilizará Asterisk para escuchar conexiones SIP entrantes. El puerto SIP por defecto es el 5060.</li>
                      <li><b>binaddr</b>: interfaz de red que utilizará Asterisk para atender las conexiones SIP entrantes. El valor por defecto es 0.0.0.0, es decir, escucha en todas las interfaces de red disponibles.</li>
                      <li><b>context</b>: contexto que se aplica a las llamadas entrantes. Se aplica cuando una cuenta SIP no tiene definido un contexto.</li>
                      <li><b>videosupport</b>: soporte de video en SIP. Permite los valores 'yes' o 'no'.</li>
                      <li><b>language</b>: lenguaje utilizado por defecto para todos los clientes SIP.</li>
                      <li><b>allow</b>: especificamos los códecs de sonido que vamos a utilizar. Permite valores como 'all', 'alaw', 'ulaw', 'gsm', etc.</li>
                      <li><b>disallow</b>: códecs de audio que no vamos a permitir. Cuando vamos a restringir los códecs de audio, lo mejor es siempre prohibirlos todos (disallow=all) y luego permitir aquellos que queramos.</li>
                      <li><b>nat</b>: habilitamos o deshabilitamos el soporte de nat para la extensión.</li>
                    </ol>
                    <p>Un ejemplo para el contexto [general] en /etc/asterisk/sip.conf podría ser la siguiente:</p>
                    <pre class=" language-markup"><code class="language-markup">
[general]
port=5060
bindaddr=0.0.0.0
context=from-sip
videosupport=no
language=es
disallow=all
allow=ulaw,alaw
                    </code></pre>

                    <hr>
                    <p>Como he comentado anteriormente, antes de que un cliente SIP pueda enviar o recibir llamadas a través de Asterisk, debe ser declarado y configurado en el fichero /etc/asterisk/sip.conf. Cada cliente SIP se configurará como si de otro contexto / sección se tratase, y podemos especificar varios parámetros. Hasta ahora los que he utilizado han sido los siguientes:</p>

                    <ol>
                      <li><b>type</b>: define la clase de conexión que tendrá el cliente. Hay tres tipos de cuenta SIP:
                        <ul>
                           <li><b>peer</b>: solo puede recibir llamadas.</li>
                           <li><b>user</b>: solo puede realizar llamadas.</li>
                           <li><b>friend</b>: puede recibir y realizar llamadas.</li>
                        </ul>
                      </li>
                      <li><b>callerid</b>: es el identificador del cliente, es decir, el nombre que aparecerá cuando se realice una llamada.</li>
                      <li><b>username</b>: usuario con el que nos conectaremos al servidor Asterisk.</li>
                      <li><b>secret</b>: contraseña con la que se realizará la autenticación en Asterisk junto con el username.</li>
                      <li><b>context</b>: contexto asociado al cliente en el dialplan de Asterisk, es decir, contexto que se aplicará en el fichero extensions.conf del cual hablaremos más adelante.</li>
                      <li><b>dtmfmode</b>: Dual-Tone Multi-Frequecy (DTMF) se refiere a la marcación por tonos. Normalmente le especifico que use el estandar rfc2833.</li>
                      <li><b>qualify</b>: si se establece a ‘yes’ podremos monitorizar la extensión. Esta configuración no es muy recomendable cuando tenemos muchas extensiones.</li>
                    </ol>
                    <li>Bien! Ya tenemos lo suficiente como para empezar a registrar cada uno de los cuenta SIP de esta forma, para registrar el teléfono digital cuya extensión es 305 tendremos que añadir la siguiente configuración al fichero /etc/asterisk/sip.conf:</li>

                    <pre class=" language-markup"><code class="language-markup">
[100]
callerid="Jhon Doe" <100>
username=100
secret=UjeKKWEjkhUEqjw
type=friend
host=dynamic
context=from-sip
qualify=yes
pickupgroup=30
call-limit=2
dtmfmode=rfc2833
nat=force_rport
                    </code></pre>
                    <hr>
                    <h4 class="text-bold-600">¿Como configurar la misma cuenta SIP en PBXSymphony?</h4>
                    <p>Para crear una cuenta nueva o copiar una cuenta debemos hacer clic en el botón <a class="btn btn-sm btn-outline-secondary"><i class="ft-edit-2"></i>Add</a> o clic en el botón <a class="btn btn-sm btn-outline-secondary" data-toggle="tooltip" data-placement="top" title="" data-original-title="Clone"><i class="ft-copy"></i></a> en la cuenta que queremos copiar.</p>
                    <p>El formulario de creación permite utilizar la información de la cuenta utilizando los mismo parámetros en se mencionan anteriormente en Asterisk.</p>
                    <img src="wiki/wiki_pbx_sip_02.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                  </div>
                  <div class="bs-callout-danger callout-border-left callout-transparent mt-1 p-1">
                    <h4 class="danger">Configuración del sip.conf en PBXSymphony</h4>
                    <p>Una de las características de PBXSymphony es que utiliza los mismos parámetros de Asterisk para la configuración de anexos.</p>
                  </div>
                </div>
              </div>
            </div>
            <!--/ Description -->
          </section>
        </div>
      </div>
    </div>
  </div>




  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_footer.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_script.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
</body>
</html>