<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_session.php';?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_version.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<!DOCTYPE html>
<html class="loading" lang="en" data-textdirection="ltr">
<head>
<!-- ////////////////////////////////////////////////////////////////////////////-->
<?php include '../include/include_head.php'; ?>
<!-- ////////////////////////////////////////////////////////////////////////////-->
</head>
<body class="vertical-layout vertical-menu 2-columns menu-expanded fixed-navbar" data-open="click" data-menu="vertical-menu" data-col="2-columns">
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_header-navbar.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php $main_menu='users'; include '../include/include_main-menu.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->

  <div class="app-content content">

    <?php include 'wiki_index_menu.php'; ?>

    <div class="content-left">
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-8 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">PBXSymphony</h3>
            <div class="row breadcrumbs-top d-inline-block">
              <div class="breadcrumb-wrapper col-12">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="wiki_index.php">VoiceMail</a></li>
                </ol>
              </div>
            </div>
          </div>
        </div>
        <div class="content-body">
          <section id="description">
            <!-- Description -->
            <div class="card">
              <div class="card-header">
                <h1 class="text-bold-600">VoiceMail</h1>
              </div>
              <div class="card-content">
                <div class="card-body">
                  <div class="card-text">
                    <h4 class="text-bold-600">PBXSymphony</h4>
                    <p>En VoiceMail podemos crear modificar o eliminar las casillas de buzón de voz de asterisk.</p>                    
                    <hr>
                    <h4 class="text-bold-600">VoiceMail</h4>
                    <p>En esta opción tenemos listados de las casillas de buzon de voz creadas.</p>
                    <img src="wiki/wiki_pbx_voicemail_01.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <h4 class="text-bold-600">Como configurar el VoiceMail en PBXSymphony?</h4>
                    <p>Para realizar la configuracion del VoiceMail en PBXSymphony debemos saber como se configura en Asterisk y posteriormente como pasar estos parametros en PBXSymphony.</p>
                    <hr>
                    <h4 class="text-bold-600">Configuración del archivo voicemail.conf (Contestador automatico)</h4>
                    <p>El archivo voicemail.conf sirve para configurar el contestador automatico y gestionar los buzones de los usuarios.</p>
                    <p>El fichero extensions.conf se compone también de secciones o contextos entre corchetes <b>[]</b> Hay dos contextos especiales llamados <b>[general]</b> y <b>[zonemessages]</b> que siempre están presentes.</p>
                    <p>Contexto <b>[general]</b> El contexto <b>[general]</b> configura las opciones generales del buzón de voz:</p>
                    <p>Un ejemplo básico podría ser:</p>
                    <pre class=" language-markup"><code class=" language-markup">
[general]
; Enviar archivos en las notificaciones de e-mail
attach=yes
; Usar el formato wav para los mensajes de voz
format=wav
; Limitar el tiempo máximo del mensaje de voz a 180 segundos
maxmessage=180
; Limitar el tiempo minimo del mensaje a 3 segundos
minmessage=3
; Anunciar el numero que llamó antes de repetir el mensaje
saycid=yes
; Limitar el numero de intentos de registro a 3
maxlogins=3
; Define los contextos internos para especificar que vienen de una extensión interna
cidinternalcontexts=house_local,house_toll,house_admin
                    </code></pre>
                    <p>Vamos a poner en forma de tabla las posibilidades más destacadas a utilizar de este contexto:</p>
                    <ol>
                      <li><b>attach</b>:  Indica si se envía un archivo en las notificaciones de email. Tiene dos valores "yes" o "no" Por defecto es "no"</li>
                      <li><b>delete</b>:  Indica que el mensaje de voz será borrado del servidor si es enviado por e-mail</li>
                      <li><b>mailcmd</b>: Sirve para fijar la ruta del servidor de e-mail</li>
                      <li><b>maxsilence</b>:  Indica los segundos de silencio que debe detectar el servidor para cortar la llamada al buzón. Por defecto es 0 que indica que equivale a un tiempo infinito y no hace caso a los silencios.</li>
                      <li><b>envelope</b>:  Si lo activamos con "yes" indicará el día y la hora en que se recibio el mensaje</li>
                      <li><b>externnotify</b>:  Sirve para ejecutar un programa externo cuando alguien deja un mensaje</li>
                      <li><b>externpass</b>:  Sirve para ejecutar un programa externo cuando alguien cambia su contraseña del buzón.</li>
                      <li><b>silencetreshold</b>: Funciona si maxsilence="yes" y sirve para fijar el umbral de silencio</li>
                      <li><b>servermail</b>:  Indica el origen de los mensajes de notificación de e-mail. Por ejemplo buzon@midominio.com</li>
                      <li><b>maxmessage</b>:  Indica el tiempo máximo de un mensaje</li>
                      <li><b>maxmsg</b>:  Indica el numero máximo de mensajes en un buzón</li>
                      <li><b>minmessage</b>:  Sirve para eliminar los mensajes que tienen menos duración que lo indicado por este comando.</li>
                      <li><b>format</b>:  Indica el formato en que se guardará los mensajes e voz. Hay las siguientes posibilidades: "wav49", "gsm", "wav"</li>
                      <li><b>maxgreet</b>:  Fija el tiempo máximo del mensaje de bienvenida que pueden configurar los usuarios</li>
                      <li><b>maxlogins</b>: Numero máximo de intentos de logeo</li>
                      <li><b>cdinternalcontexts</b>:  Distingue si los contextos son contextos internos o externos</li>
                      <li><b>promiscredir</b>:  Permite soportar redirecciones 302. Por defecto "no"</li>
                      <li><b>review</b>:  Por defecto es "no". Si lo pusieramos a "yes" el usuario que deja el mensaje podrá revisarlo antes de salvarlo y dejarlo en el buzón.</li>
                      <li><b>operator</b>:  Permite marcar una extensión cuando ha saltado el buzón de voz</li>
                      <li><b>saycid</b>:  Si lo ponemos a "yes" anunciar el numero que llamó antes de repetir el mensaje</li>
                      <li><b>fromstring</b>:  Modifica el from del mensaje de aviso de correo</li>
                      <li><b>emailsubject</b>:  Modifica el asunto del mensaje de aviso de correo</li>
                      <li><b>emailbody</b>: Modifica el cuerpo del mensaje de aviso de correo</li>
                      <li><b>nextaftercmd</b>:  Reproduce el siguiente mensaje automáticamente cuando se borra el anterior.</li>
                    </lo>

                    <p>Contexto <b>[zonemessages]</b> Este contexto define zonas horarias. La hora para distintos usuarios no es la misma y para poder informarle sobre la hora en que recibió el mensaje es necesario fijar diferentes zonas horarias:</p>
                    <hr>
                    <pre class=" language-markup"><code class=" language-markup">
[zonemessages]
eastern=America/New_York|'vm-received' Q 'digits/at' IMp
central=America/Chicago|'vm-received' Q 'digits/at' IMp
mountain=America/Denver|'vm-received' Q 'digits/at' IMp
pacific=America/Los_Angeles|'vm-received' Q 'digits/at' IMp
central24=America/Chicago|'vm-received' q 'digits/at' H N 'hours'
military=Zulu|'vm-received' q 'digits/at' H N 'hours' 'phonetic/z_p'
                    </code></pre>
                    <hr>
                    <p>zona=Pais/Ciudad|Opciones --> El Pais y la ciudad deben ser válidos y son los del archivo /usr/share/zoneinfo de la instalación de Linux.</p>
                    <p>En el resto de contextos se definenlos buzones de los usuarios. Podemos tener todos los usuarios en un solo contexto por ejemplo [default] o tener más de un contexto.</p>
                    <p>El formato básico es el siguiente:</p>
                    <p>[default] <br/>
                      extension => contraseña, nombre de usuario, email de usuario, email de notificación,opciones</p>
                    <p>La extensión hace referencia al numero de telefono llamado.</p>
                    <ol>
                      <li><b>contraseña</b> hacer referencia a la contraseña para ese usuario de su buzón de voz.</li>
                      <li><b>nombre de usuario</b> es el nombre del cliente de la extensión</li>
                      <li><b>email del usuario</b> es el correo al que serán enviados los mensajes</li>
                      <li><b>email de notificacion</b> es un email alternativo donde pueden ser enviadas las notificaciones para administración o control</li>
                      <li><b>opciones</b> sirven para sobreescribir las del contexto <b>[general]</b> o especificar una zona horaria pra el usuario.Hay 9 especificas: attach, serveremail, tz, saycid, review, operator, callback, dialout and exitcontext. Son las mismas que las contexto [general] salvo tz.La opción tz se usa para sobreescribir la zona por defecto y debe estar presente en el contexto <b>[zonemessages]</b></li>
                    </ol>
                    <hr>
                    <p>Ejemplo:</p>
                    <pre class=" language-markup"><code class=" language-markup">
[from-sip]
305 => 305,Rodrigo Otarol,rodrigo.otarola@correo.com
                    </code></pre>
                    <hr>
                    <h4 class="text-bold-600">¿Como configurar el mismo dialplan en PBXSymphony?</h4>
                    <p>Para crear una casilla de buzón de voz o copiar una casilla de buzón de voz debemos hacer clic en el botón&nbsp;<a class="btn btn-sm btn-outline-secondary"><i class="ft-edit-2"></i>Add</a> o clic en el botón&nbsp;<a class="btn btn-sm btn-outline-secondary" data-toggle="tooltip" data-placement="top" title="" data-original-title="Clone"><i class="ft-copy"></i></a>&nbsp;en la casilla de buzón de voz que queremos copiar.</p>
                    <hr>
                    <pre class=" language-markup"><code class=" language-markup">
[from-sip]
305 => 305,Rodrigo Otarol,rodrigo.otarola@correo.com
                    </code></pre>
                    <p>El formulario de creación permite crear las casillas de buzon de voz utilizando los mismo parámetros en se mencionan anteriormente en Asterisk.</p>
                    <hr>
                    <img src="wiki/wiki_pbx_voicemail_02.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <p>Una de las ventajas de utilizar PBXSymphony es que podemos ver los mensajes directamente en la interfaz web y escuchar el mensaje recibido directamente en la casilla creada.</p>
                    <hr>
                    <img src="wiki/wiki_pbx_voicemail_03.jpeg" class="img-thumbnail img-fluid" >
                    <hr>
                    <div class="bs-callout-danger callout-border-left callout-transparent mt-1 p-1">
                      <h4 class="danger">Configuración del voicemail.conf en PBXSymphony</h4>
                      <p>Una de las características de PBXSymphony es que utiliza los mismos parámetros de Asterisk para la configuración del voicemail.</p>
                    </div>



                  </div>
                </div>
              </div>
            </div>
            <!--/ Description -->
          </section>
        </div>
      </div>
    </div>
  </div>




  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_footer.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
  <?php include '../include/include_script.php'; ?>
  <!-- ////////////////////////////////////////////////////////////////////////////-->
</body>
</html>