#!/bin/sh
echo "  ____  ______  ______                        _                       "
echo " |  _ \| __ ) \/ / ___| _   _ _ __ ___  _ __ | |__   ___  _ __  _   _ "
echo " | |_) |  _  \  /\___ \| | | |  _   _ \|  _ \|  _ \ / _ \|  _ \| | | |"
echo " |  __/| |_) /  \ ___) | |_| | | | | | | |_) | | | | (_) | | | | |_| |"
echo " |_|   |____/_/\_\____/ \__, |_| |_| |_| .__/|_| |_|\___/|_| |_|\__, |"
echo "                        |___/          |_|                      |___/ "
echo ""
echo " WELCOME TO THE INSTALLATION SYSTEM OF PBXSYMPHONY WEB ADMINISTRATION "
echo " INTERFACE FOR ASTERISK. "
echo " WE RECOMMEND PERFORMING A CLEAN INSTALLATION."
echo "..."

commandwget=$( rpm -qa wget | wc -l)
if [ $commandwget == 0 ]; then
yum -y install wget 
fi

echo "##########################################################################"
echo " INSTALL MARIADB SERVER FOR PBXSYMPHONY                                   "
echo "##########################################################################"
echo " INSTALL RPM OF MYSQL                                                     "
servicemysql=$( rpm -qa mariadb-server | wc -l)
if [ $servicemysql == 0 ]; then
yum install mariadb-server 
fi
systemctl enable mariadb 
systemctl start mariadb
systemctl status mariadb
echo ""
echo " CREATING DATABASE ASTERISKREALTIME INSERT PASSWORD FOR ROOT              "
echo " THE PASSWORD IS IN BLANK FOR DEFAULT.                                    "
mysql -uroot -p -e "CREATE DATABASE asteriskrealtime;"
echo ""
echo " IMPORT DATABASE ASTERISKREALTIME OF PBXSYMPHNY INSERT PASSWORD FOR ROOT  "
echo " THE PASSWORD IS IN BLANK FOR DEFAULT.                                    "
echo ""
mysql -uroot -p asteriskrealtime < mysql/asteriskrealtime.sql 
echo ""
echo " CREATING USER ASTERISKREALTIME FOR DATABASE INSERT PASSWORD FOR ROOT     "
echo " THE PASSWORD IS IN BLANK FOR DEFAULT.                                    "
echo ""
mysql -uroot -p -e "CREATE USER 'asteriskrealtime'@'localhost' IDENTIFIED BY 'Nv9avAFU9ExqKdTg';"
echo ""
echo " ASSIGNMENT OF PERMISSIONS TO USERS FOR DATABASE INSERT PASSWORD FOR ROOT "
echo " THE PASSWORD IS IN BLANK FOR DEFAULT.                                    "
echo ""
mysql -uroot -p -e "GRANT ALL PRIVILEGES ON asteriskrealtime.* TO 'asteriskrealtime'@'localhost';" 
echo ""
echo " RECONFIGURE CONFIG MYSQL                                                 "
echo ""
yes | cp -R mysql/my.cnf /etc/my.cnf
echo ""
echo " RESTARTING MYSQL                                                         "
echo ""
systemctl restart mariadb
systemctl status mariadb
echo "##########################################################################"
echo " INSTALLATION OF MYSQL SUCCESSFULLY                                       "
echo "##########################################################################"
echo ""
echo "##########################################################################"
echo " INSTALL REPOSITORY                                                       "
echo "##########################################################################"
yes | cp -R repo/* /etc/yum.repos.d/  
echo ""
yum clean all  
echo " INSTALLATION OF REPOSITORY S SUCCESSFULLY                                "
echo "##########################################################################"
echo ""
echo "##########################################################################"
echo " INSTALL HTTP                                                             "
echo "##########################################################################"
servicehttpd=$( rpm -qa httpd | wc -l)
if [ $servicehttpd == 0 ]; then
yum -y install httpd 
fi
echo ""
systemctl enable httpd 
systemctl start httpd 
echo "##########################################################################"
echo " INSTALLATION OF HTTP SUCCESSFULLY                                        "
echo "##########################################################################"
echo ""
echo "##########################################################################"
echo " INSTALL PHP AND PHP-MYSQL                                                "
echo "##########################################################################"
servicephp=$( rpm -qa php-mysql | wc -l)
if [ $servicephp == 0 ]; then
yum -y install php php-mysql 
fi
systemctl restart httpd 
echo "##########################################################################"
echo " INSTALLATION OF PHP AND PHP-MYSQL SUCCESSFULLY                           "
echo "##########################################################################"
echo ""
echo "##########################################################################"
echo " INSTALL RPMs BEFORE INSTALL ASTERISK 13                                  "
echo "##########################################################################"
rpm -ivh rpm/codec2-0.8.1-1.el7.x86_64.rpm
rpm -ivh rpm/libilbc-0.6-alt7.x86_64.rpm 
rpm -ivh rpm/gmime-2.6.19-1.el7.art.x86_64.rpm  
echo "##########################################################################"
echo " INSTALLATION OF RPMs SUCCESSFULLY                                        "
echo "##########################################################################"
echo ""
echo "##########################################################################"
echo " INSTALL ASTERISK 15                                                      "
echo "##########################################################################"
echo " INSTALLING ASTERISK                                                      "
serviceasterisk=$( rpm -qa asterisk | wc -l)
if [ $serviceasterisk == 0 ]; then
yum -y install asterisk 
yum -y install asterisk-mysql
yum -y install asterisk-sip
yum -y install asterisk-sounds-core-es*
yum -y install asterisk-moh-*
yum -y install asterisk-voicemail
yum -y install asterisk-voicemail-plain
fi
echo ""
systemctl enable asterisk 
systemctl start asterisk 
echo " INSTALLATION OF ASTERISK 15 SUCCESSFULLY                                 "
echo "##########################################################################"
echo ""
echo "##########################################################################"
echo " INSTALL PBXSYMPHONY                                                      "
echo "##########################################################################"
echo " COPYING ASTERISK CONFIGURATION                                           "
yes | cp -R asterisk/* /etc/asterisk/
echo ""
echo " COPYING PBXSYMPHONY WEB CONFIGURATION                                    "
echo ""
yes | cp -R html/* /var/www/html/
echo " CONFIGURATION /usr/share/asterisk/sounds/prompts/                        "
echo ""
mkdir /usr/share/asterisk/sounds/prompts/ 
chmod 777 /usr/share/asterisk/sounds/prompts/
mkdir /var/lib/asterisk/moh/ 
chmod 777 /var/lib/asterisk/moh/
echo ""
echo " SYSTEMCTL RESTART HTTPD                                                  "
echo ""
systemctl restart httpd 
echo " SYSTEMCTL RESTART ASTERISK                                               "
echo ""
systemctl restart httpd
systemctl restart asterisk 

sh motd > /etc/motd 

echo "##########################################################################"
echo " INSTALLATION OF PBXSYMPHONY SUCCESSFULLY                                 "
echo "##########################################################################"
echo ""
echo " TO ENTER PBXSYMPHONY PLEASE OPEN IN YOUR BROWSER THE PUBLIC IP ADDRESS   "
echo " OF THIS SERVER.  FOR EXAMPLE: http://"$(ip -4 route get 8.8.8.8 | awk {'print $7'} | tr -d '\n')
echo ""
echo "   USER: admin                                                            "
echo "   PASSWORD: admin                                                        "
echo ""
echo "##########################################################################"

